Bug 194698 - [maintainer] databases/cassandra2: update to 2.1.1
Summary: [maintainer] databases/cassandra2: update to 2.1.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Bartek Rutkowski
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-10-29 23:43 UTC by admins
Modified: 2014-11-12 23:44 UTC (History)
1 user (show)

See Also:


Attachments
Patch for port (18.64 KB, patch)
2014-10-29 23:43 UTC, admins
no flags Details | Diff
Latest poudriere log (19.67 KB, text/plain)
2014-11-03 10:13 UTC, admins
no flags Details
Patch for port (18.57 KB, patch)
2014-11-11 20:11 UTC, admins
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description admins 2014-10-29 23:43:00 UTC
Update database/cassandra2 to 2.1.1.
Comment 1 admins 2014-10-29 23:43:36 UTC
Created attachment 148781 [details]
Patch for port
Comment 2 John Marino freebsd_committer 2014-11-01 08:53:39 UTC
fix title (wrong category, this is maintainer update)
Comment 3 John Marino freebsd_committer 2014-11-01 08:55:34 UTC
I'm moving to patch-ready pool, but honestly with such a large changeset, I really would have liked to have seen a poudriere test log (with stage-qa checks).

Maybe you can add one while you are waiting for a committer to pick this up from the patch-ready pool.
Comment 4 admins 2014-11-03 10:13:11 UTC
Created attachment 148986 [details]
Latest poudriere log
Comment 5 Bartek Rutkowski freebsd_committer 2014-11-11 12:46:37 UTC
Hi,

The current patch seems to be malformed, could you please upload it again?
Comment 6 admins 2014-11-11 16:34:16 UTC
What part is malformed? Looks good for me at https://bugs.freebsd.org/bugzilla/attachment.cgi?id=148781&action=diff
Comment 7 Bartek Rutkowski freebsd_committer 2014-11-11 19:46:24 UTC
I think the pkg-plist ends suddenly with a + and nothing following it. Could you upload a new one?
Comment 8 admins 2014-11-11 20:11:22 UTC
Created attachment 149294 [details]
Patch for port
Comment 9 admins 2014-11-11 20:14:28 UTC
Tested with latest port's tree:

Hmm...  Looks like a unified diff to me...
The text leading up to this was:
--------------------------
|diff -ruN cassandra2/Makefile cassandra2/Makefile
|--- cassandra2/Makefile        2014-09-05 03:30:38.000000000 +0000
|+++ cassandra2/Makefile        2014-10-29 23:29:23.541228456 +0000
--------------------------
Patching file cassandra2/Makefile using Plan A...
Hunk #1 succeeded at 1.
Hunk #2 succeeded at 22.
Hunk #3 succeeded at 49.
Hunk #4 succeeded at 71.
Hunk #5 succeeded at 97.
Hmm...  The next patch looks like a unified diff to me...
The text leading up to this was:
--------------------------
|diff -ruN cassandra2/distinfo cassandra2/distinfo
|--- cassandra2/distinfo        2014-08-29 07:18:10.000000000 +0000
|+++ cassandra2/distinfo        2014-10-28 19:49:35.401433886 +0000
--------------------------
Patching file cassandra2/distinfo using Plan A...
Hunk #1 succeeded at 1.
Hmm...  The next patch looks like a unified diff to me...
The text leading up to this was:
--------------------------
|diff -ruN cassandra2/files/cassandra.in cassandra2/files/cassandra.in
|--- cassandra2/files/cassandra.in      2014-08-29 07:18:10.000000000 +0000
|+++ cassandra2/files/cassandra.in      2014-10-29 23:11:48.590776105 +0000
--------------------------
Patching file cassandra2/files/cassandra.in using Plan A...
Hunk #1 succeeded at 53.
Hmm...  The next patch looks like a unified diff to me...
The text leading up to this was:
--------------------------
|diff -ruN cassandra2/files/patch-env cassandra2/files/patch-env
|--- cassandra2/files/patch-env 2014-09-05 03:30:38.000000000 +0000
|+++ cassandra2/files/patch-env 1970-01-01 00:00:00.000000000 +0000
--------------------------
Patching file cassandra2/files/patch-env using Plan A...
Hunk #1 succeeded at 0.
Hmm...  The next patch looks like a unified diff to me...
The text leading up to this was:
--------------------------
|diff -ruN cassandra2/pkg-deinstall cassandra2/pkg-deinstall
|--- cassandra2/pkg-deinstall   2014-08-29 07:18:10.000000000 +0000
|+++ cassandra2/pkg-deinstall   2014-10-29 22:44:48.008786963 +0000
--------------------------
Patching file cassandra2/pkg-deinstall using Plan A...
Hunk #1 succeeded at 6.
Hmm...  The next patch looks like a unified diff to me...
The text leading up to this was:
--------------------------
|diff -ruN cassandra2/pkg-install cassandra2/pkg-install
|--- cassandra2/pkg-install     2014-08-29 07:18:10.000000000 +0000
|+++ cassandra2/pkg-install     2014-10-29 22:44:35.248786685 +0000
--------------------------
Patching file cassandra2/pkg-install using Plan A...
Hunk #1 succeeded at 7.
Hmm...  The next patch looks like a unified diff to me...
The text leading up to this was:
--------------------------
|diff -ruN cassandra2/pkg-plist cassandra2/pkg-plist
|--- cassandra2/pkg-plist       2014-10-20 10:41:12.000000000 +0000
|+++ cassandra2/pkg-plist       2014-10-29 23:29:09.808728120 +0000
--------------------------
Patching file cassandra2/pkg-plist using Plan A...
Hunk #1 succeeded at 1.
done
Comment 10 commit-hook freebsd_committer 2014-11-12 23:44:12 UTC
A commit references this bug:

Author: robak
Date: Wed Nov 12 23:43:54 UTC 2014
New revision: 372507
URL: https://svnweb.freebsd.org/changeset/ports/372507

Log:
  databases/cassandra2: update 2.0.10 -> 2.1.1

  - Delete obsolete patch

  PR:		194698
  Submitted by:	Aleksey Ovcharenko <admins@perceptyx.com>
  Approved by:	mentors (implicit)

Changes:
  head/databases/cassandra2/Makefile
  head/databases/cassandra2/distinfo
  head/databases/cassandra2/files/cassandra.in
  head/databases/cassandra2/files/patch-env
  head/databases/cassandra2/pkg-deinstall
  head/databases/cassandra2/pkg-install
  head/databases/cassandra2/pkg-plist
Comment 11 Bartek Rutkowski freebsd_committer 2014-11-12 23:44:42 UTC
Committed, thanks for your work!